angular.module('farrago')
.controller('SplashCtrl', function($rootScope, $scope, $ionicScrollDelegate, $ionicLoading, $http, $state, user, util) {
	
  	//Set page id
	document.body.id = 'splash-view';
	
	util.checkConnection();
    
    if(util.online){

		$http({
			method: 'GET', 
			url: BASEURL + 'api/splash_page'
		 }).
		  success(function(data, status, headers, config) {
          
            //Set background image  
            document.querySelector('.bg').style['background-image'] = "url('"+  data.image.url +"')";
          
		  }).
		  error(function(data, status, headers, config) {
		  });

    }

	//Cross browser animation listeners
	var pfx = ["webkit", "moz", "MS", "o", ""];
	function PrefixedEvent(element, type, callback) {
		for (var p = 0; p < pfx.length; p++) {
			if (!pfx[p]) type = type.toLowerCase();
			element.addEventListener(pfx[p]+type, callback, false);
		}
	}
	console.log('checking stuff');
	var handleTouch = function(){
            
          var bg = document.querySelector('.bg');
          PrefixedEvent(bg.querySelector('.logo'), "AnimationEnd", function(){
              bg.querySelector('.logo').style.display = 'none';

              if(util.online && user.data.token){
                  $state.go('tab.featured');
              }else if(!util.online && user.data.token){
                  $state.go('tab.library');
              }else{
                  $state.go('tab.login');
              }
          });

          bg.classList.add('animatelogo');	
        
	}
    //$rootScope.$on('userInitialized', handleTouch);
	//$scope.handleTouch = 

	setTimeout(function(){
		document.querySelector('.bg').style.display = "block";
    }, 300);
  
  	setTimeout(function(){
        handleTouch();
    }, 3000);
	
		
});
